@import '../../assets/styles/common';

.header {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  position: relative;
  width: 100vw;
  height: $height__header;
  background: linear-gradient(180deg, #001668 0%, #01115b 6%, #030a45 20%, #030943 27%, #030a44 27%, #050436 43%, #06012d 57%, #06002a 76%);

  &__image {
    max-width: 100%;
    height: auto;
    max-height: 10.8rem;
  }

  &__link {
    margin-right: 1.2rem;
    font-size: 2.8rem;
    color: $blue-light;
    text-decoration: none;
    cursor: pointer;

    &__active, &:hover {
      color: $white;
    }
  }

  &__logo {
    margin: auto;
    cursor: pointer;

    &--display-none {
      display: none;
    }
  }

  &--left {
    display: flex;
    align-items: center;
    margin-right: auto;
    margin-left: 5rem;
  }

  &--center {
    display: flex;
    flex: 0 1 auto;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }

  &--right {
    display: flex;
    align-items: center;
    margin-right: 5rem;
    margin-left: auto;
  }

  @media only screen and (max-width: 1400px) {
    height: 8rem;
    font-size: 1.5rem;

    &__image {
      width: 55rem;
    }

    &__logo {
      width: 4rem;
    }

    &__link {
      font-size: 2.2rem;
    }

    &--left {
      img {
        width: 7rem;
      }
    }

    @media only screen and (max-width: 500px) {
      &--left {
        margin-left: 1rem;
      }

      &--right {
        margin-right: 1rem;
      }
    }

    @media only screen and (max-width: 768px) {
      width: 768px;
    }
  }
}
